Vaadin Support

Compatible with  IntelliJ IDEA
23 995
This is an outdated plugin for IDEA 11 and earlier. Please use Vaadin Designer.

Download plugin

Recent change notes

version 1.5.3
  • Support for Intellij IDEA 12.1
This is an outdated plugin for IDEA 11 and earlier. Please use
Vaadin Designer
Tested on IntelliJ IDEA 2016.1.2 Got error "incompatible version" If you try to locate this plugin from IntelliJ plugins repo - it shows only v.1.2.0 version. Can you please upgrade this plugin for latest IntelliJ version?
Dears, I have Intellij IDEA 14.1.13 and I downloaded Vaadin Support Plugin from your site (different versions). Then I went to Setting/Plugins/Install Plugin From Disk and then I give it the downloaded vaadin plugin. But always it said : "plugin vaadin support is incompatible with this installation". I also used the previous version of Intellij, but always got this error. Pleaseeeeeeeeee help me, I really need this plugin and specially its Vaadin Designer, and really don't want to use Eclipse for this reason. Please and please... Here is my email address: I'm waiting for your response. Thanks, Mozhde
Please vote if you want vaadin 7.1 support in IDEA v13 Thanks
widget creatin/compilation is not as important as having the framework and library dependencies resolved and visual designer working. thanks!
I am a web developer mainly using eclipse ide and vaadin framework. I would like to know a roadmap for this plugin to be supported in IDEA 13. This is the only thing that is stopping me from buying a licence :) because I love that java 8 is already supported but I need vaadin support with visual designer
Are any chance to see this plugin for IDEA 13? Which difference between OOTB Vadin plugin in the IDEA and this plugin? Thanks. Vladimir
Seems to be broken on 12.1.5
Please add option to perform -strict Widgetset compilation.
is this is a dead plugin?? as Vaadin is on 7.1.2
is this is a dead plugin as this as Vaadin is on 7.1.2
developer22, please make issue in bug tracker with more detailed information
looks nice anyway on Idea12 when I tried setup GWT SDK folder it still show You need specify a valid GWT SDK location path what makes this plugin useless...unfortunate
Thanks) great!
Before you ask any questions here, please refer to plugin documentation. You can find it in Intellij IDEA help (Help menu -> Help topics)
Please  sign in  to leave a comment.